ZWrtTextInternal::Font Struct Reference

Internal: struct used to store the font of a ZWrtText. More...

## Public Member Functions

| Font ()
| constructor

## Public Attributes

MWAWFont | m_font
| the font
int | m_height
| the line height
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<<

## Detailed Description

Internal: struct used to store the font of a ZWrtText.

## Constructor & Destructor Documentation

## Font()

ZWrtTextInternal::Font::Font | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | font )

friend

operator<<

## Member Data Documentation

## m_extra

std::string ZWrtTextInternal::Font::m_extra

extra data

Referenced by Font(), operator<<, and ZWrtText::readSectionFonts().

## m_font

MWAWFont ZWrtTextInternal::Font::m_font

the font

Referenced by Font(), ZWrtText::readSectionFonts(), and ZWrtText::sendText().

## m_height

int ZWrtTextInternal::Font::m_height

the line height

Referenced by Font(), operator<<, and ZWrtText::readSectionFonts().

The documentation for this struct was generated from the following file:

- ZWrtText.cxx